#! /usr/bin/env bash
set -e

setup_catalog() {
    printf 'Setting up catalog: truecharts...'

    midclt call catalog.create '{
        "label": "truecharts",
        "repository": "https://github.com/truecharts/catalog",
        "branch": "main",
        "preferred_trains": ["stable", "dependency", "enterprise"]
    }'
    printf '\n'
}

setup_catalog
